lv.eparaksts.pdf

## Interface PdfQualifiedSignature

- All Superinterfaces:
    PdfSignature

      public interface PdfQualifiedSignature
      extends PdfSignature

  A `PdfQualifiedSignature` interface represents access methods to QUALIFIED profile signature functionality.
  See Also:
    `SignatureProfile`, `PdfSignature.getProfile()`

- - ### Field Summary

    - ### Fields inherited from interface lv.eparaksts.pdf.PdfSignature

      `KEY_SIGNATURE_METHOD_OID, SIGNATURE_METHOD_ECDSA_SHA256, SIGNATURE_METHOD_ECDSA_SHA384, SIGNATURE_METHOD_ECDSA_SHA512, SIGNATURE_METHOD_RSA_SHA1, SIGNATURE_METHOD_RSA_SHA224, SIGNATURE_METHOD_RSA_SHA256, SIGNATURE_METHOD_RSA_SHA384, SIGNATURE_METHOD_RSA_SHA512`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCertificateValues(List<byte[]> certificateValues)` Sets a list of X.509 certificates that are required to validate the signature.
    `void` | `setRevocationValues(List<byte[]> ocspValues, List<byte[]> crlValues)` Sets a list of OCSP responses and a list of CRL to the signature
    `void` | `setSignatureTimestamp(byte[] signatureTimestamp)` Sets an ASN.1 encoded signature timestamp to the signature.

    - ### Methods inherited from interface lv.eparaksts.pdf.PdfSignature

      `basicSignature, complete, getCerts, getClaimedSigningTime, getCRLs, getDocumentTimestamp, getId, getLocation, getOCSPs, getProfile, getReason, getSignatureMethodAlgorithm, getSignatureTimestamp, getSignatureValue, getSignatureValueDigest, getSigningCertificate, qualifiedSignature`

- - ### Method Detail

    - #### setSignatureTimestamp

          void setSignatureTimestamp(byte[] signatureTimestamp)
                              throws PdfException

      Sets an ASN.1 encoded signature timestamp to the signature.
      Parameters:
        `signatureTimestamp` - a signature timestamp.
      Throws:
        `PdfException`
      See Also:
        `PdfSignature.getSignatureTimestamp()`

    - #### setCertificateValues

          void setCertificateValues(List<byte[]> certificateValues)
                             throws PdfException

      Sets a list of X.509 certificates that are required to validate the signature.
      Parameters:
        `certificateValues` -
      Throws:
        `PdfException`

    - #### setRevocationValues

          void setRevocationValues(List<byte[]> ocspValues,
                                   List<byte[]> crlValues)
                            throws PdfException

      Sets a list of OCSP responses and a list of CRL to the signature
      Parameters:
        `ocspValues` - a list of DER encoded OCSP responses accordingly to Online Certificate Status Protocol (RFC 2560).
        `crlValues` - a list of X.509 CRL
      Throws:
        `PdfException`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO